create procedure sistema.sp_limpiarApartadosModulo
@numModulo int,
@txtApartados varchar(6000),
@dbResponse varchar(300) output
as
begin
	set nocount on;
	declare @dbQuery varchar(8000);

	if @txtApartados is not null
		begin
			set @dbQuery = 'update sistema.det_apartados set estado = 0 where idModulo = '+ cast(@numModulo as varchar) +' and estado = 1 and id not in('+@txtApartados+')';
			exec(@dbQuery);
		end
	else
		begin
			update sistema.det_apartados set estado = 0 where idModulo = @numModulo and estado = 1;
		end

	set @dbResponse = 'success';
end